#
# spec file for package vid_stab
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 0_9

Name:           vid_stab
Version:        0.98b
Release:        2.1
Summary:        Video stabilizer
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Url:            http://public.hronopik.de/vid.stab/
Source0:        https://github.com/georgmartius/vid.stab/archive/release-0.98b.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkg-config

%description
Video stabilization library.

%package -n libvidstab%{soname}
Summary:        A library to deshake video
Group:          System/Libraries

%description -n libvidstab%{soname}
A library to deshake video.

%package -n libvidstab-devel
Summary:        Development files for libvidstab%{soname}
Group:          Development/Libraries/C and C++
Requires:       libvidstab%{soname} = %{version}

%description -n libvidstab-devel
Development files for libvidstab%{soname}.

%prep
%setup -q -n vid.stab-release-%{version}

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install

%post -n libvidstab%{soname} -p /sbin/ldconfig

%postun -n libvidstab%{soname} -p /sbin/ldconfig

%files -n libvidstab%{soname}
%defattr(0644, root, root, 0755)
%{_libdir}/libvidstab.so.*

%files -n libvidstab-devel
%defattr(0644, root, root, 0755)
%{_libdir}/libvidstab.so
%{_includedir}/vid.stab/
%{_libdir}/pkgconfig/vidstab.pc

%changelog
* Sat Oct 25 2014 reddwarf@opensuse.org
- Initial package
